# SlidesJS Slider

## INTRODUCTION

The SlidesJS Slider module provides a customizable and responsive image carousel slider
as a block for Drupal 9, 10, and 11 sites. The module allows site administrators to easily create
and configure image sliders with customizable options.

## FEATURES

* Fully responsive design
* Touch-enabled for mobile devices
* Auto-play with customizable timing
* Navigation arrows and pagination indicators
* Multiple slides with title and description
* Link slides to any URL
* Easily add/remove slides through the block configuration
* Automatically installs a demo slider in the hero region (or content if hero doesn't exist)

## REQUIREMENTS

This module requires the following modules:

* Block (core)
* Image (core)
* File (core)
* Media Library (core)

## INSTALLATION

1. Install the module as you would normally install a contributed Drupal module.
   Visit: https://www.drupal.org/docs/extending-drupal/installing-modules for further
   information.
2. Upon installation, the module will automatically create a demo slider block
   in your site's hero region (or content region if hero isn't available) using
   the provided sample images.

## CONFIGURATION

### Block Configuration

1. Go to Block Layout page (Administration » Structure » Block Layout).
2. Find the "SlidesJS Slider Demo" block that was automatically created, or
   click "Place block" and search for "SlidesJS Slider".
3. Configure the block settings:
   - **Slider Settings**: Adjust speed, auto-play, and navigation options.
   - **Slides**: Add, remove, or edit slides with images, titles, descriptions, and links.
4. Click "Save block" to apply your changes.

### Adding a New Slider

1. Go to Block Layout page (Administration » Structure » Block Layout).
2. Click "Place block" in the region where you want the slider to appear.
3. Search for "SlidesJS Slider" and click "Place block".
4. Configure the slider settings and slides as described above.
5. Click "Save block" to create your new slider.

## CUSTOMIZATION

### Template Override

You can override the slider template by copying the template file from
`modules/slidesjs_slider/templates/slidesjs-slider-block.html.twig` to your theme's
templates directory and modifying it according to your needs.

### CSS Styling

The module comes with default styling, but you can customize the appearance by:

1. Adding custom CSS to your theme
2. Using your theme's CSS to override the default styles

## TROUBLESHOOTING

* If images don't appear, check file permissions in your sites/default/files directory.
* If the slider doesn't function properly, ensure JavaScript is enabled in your browser.
* Check the browser console for any JavaScript errors.

## MAINTAINERS

Current maintainers:
* Your Name - https://www.drupal.org/hyscaler
* Developer - https://github.com/2001abhishek

This project has been sponsored by:
* Your Organization - Brief description about your organization. 